16.5. Command Line Syntax
Prev | Chapter 16. Creating ASN.1 Dissectors | Next

## 16.5. Command Line Syntax

    ASN.1 to Wireshark dissector compiler

      asn2wrs [-h|?] [-d dbg] [-b] [-p proto] [-c cnf_file] [-e] input_file(s) ...
        -h|?          : Usage
        -b            : BER (default is PER)
        -u            : Unaligned (default is aligned)
        -p proto      : Protocol name (implies -S). Default is module-name
                        from input_file (renamed by #.MODULE if present)
        -o name       : Output files name core (default is <proto>)
        -O dir        : Output directory for dissector
        -c cnf_file   : Conformance file
        -I path       : Path for conformance file includes
        -e            : Create conformance file for exported types
        -E            : Just create conformance file for exported types
        -S            : Single output for multiple modules
        -s template   : Single file output (template is input file
                        without .c/.h extension)
        -k            : Keep intermediate files though single file output is used
        -L            : Suppress #line directive from .cnf file
        -D dir        : Directory for input_file(s) (default: '.')
        -C            : Add check for SIZE constraints
        -r prefix     : Remove the prefix from type names

        input_file(s) : Input ASN.1 file(s)

        -d dbg        : Debug output, dbg = [l][y][p][s][a][t][c][m][o]
                        l - lex
                        y - yacc
                        p - parsing
                        s - internal ASN.1 structure
                        a - list of assignments
                        t - tables
                        c - conformance values
                        m - list of compiled modules with dependency
                        o - list of output files

Prev | Up | Next
16.4. Hand-Massaging The ASN.1 File | Home | 16.6. Generated Files